Package ru.bitel.bgbilling.modules.smarthouse.common.bean.forpost

# Class ForpostRemoteMaster

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.bgbilling.modules.smarthouse.common.bean.forpost.ForpostRemoteMaster

All Implemented Interfaces:
  `Serializable`, `Idable`

public class ForpostRemoteMaster extends Id

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ForpostRemoteMaster()`
  `ForpostRemoteMaster(int id, int masterID, String name, String certificate, String activationCode, String lastActivationDate)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getActivationCode()`
  `String`
  `getCertificate()`
  `String`
  `getLastActivationDate()`
  `int`
  `getMasterID()`
  `String`
  `getName()`
  `void`
  `setActivationCode(String activationCode)`
  `void`
  `setCertificate(String certificate)`
  `void`
  `setLastActivationDate(String lastActivationDate)`
  `void`
  `setMasterID(int masterID)`
  `void`
  `setName(String name)`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ForpostRemoteMaster

    public ForpostRemoteMaster()

  - ### ForpostRemoteMaster

    public ForpostRemoteMaster(int id, int masterID, String name, String certificate, String activationCode, String lastActivationDate)

- ## Method Details

  - ### getMasterID

    public int getMasterID()

  - ### getName

    public String getName()

  - ### getCertificate

    public String getCertificate()

  - ### getActivationCode

    public String getActivationCode()

  - ### getLastActivationDate

    public String getLastActivationDate()

  - ### setMasterID

    public void setMasterID(int masterID)

  - ### setName

    public void setName(String name)

  - ### setCertificate

    public void setCertificate(String certificate)

  - ### setActivationCode

    public void setActivationCode(String activationCode)

  - ### setLastActivationDate

    public void setLastActivationDate(String lastActivationDate)